Search Results (Refine Search)

Search Parameters:
  • CPE Product Version: cpe:/a:opera:opera_browser:10.00:beta1
There are 135 matching records.
Displaying matches 101 through 120.
Vuln ID Summary CVSS Severity
CVE-2010-4584

Opera before 11.00, when Opera Turbo is used, does not properly present information about problematic X.509 certificates on https web sites, which might make it easier for remote attackers to spoof trusted content via a crafted web site.

Published: December 21, 2010; 10:00:03 PM -0500
V3.x:(not available)
V2.0: 2.6 LOW
CVE-2010-4583

Opera before 11.00, when Opera Turbo is enabled, does not display a page's security indication, which makes it easier for remote attackers to spoof trusted content via a crafted web site.

Published: December 21, 2010; 10:00:03 PM -0500
V3.x:(not available)
V2.0: 2.6 LOW
CVE-2010-4582

Opera before 11.00 does not properly handle security policies during updates to extensions, which might allow remote attackers to bypass intended access restrictions via unspecified vectors.

Published: December 21, 2010; 10:00:03 PM -0500
V3.x:(not available)
V2.0: 5.0 MEDIUM
CVE-2010-4581

Unspecified vulnerability in Opera before 11.00 has unknown impact and attack vectors, related to "a high severity issue."

Published: December 21, 2010; 10:00:03 PM -0500
V3.x:(not available)
V2.0: 10.0 HIGH
CVE-2010-4580

Opera before 11.00 does not clear WAP WML form fields after manual navigation to a new web site, which allows remote attackers to obtain sensitive information via an input field that has the same name as an input field on a previously visited web site.

Published: December 21, 2010; 10:00:03 PM -0500
V3.x:(not available)
V2.0: 5.0 MEDIUM
CVE-2010-4579

Opera before 11.00 does not properly constrain dialogs to appear on top of rendered documents, which makes it easier for remote attackers to trick users into interacting with a crafted web site that spoofs the (1) security information dialog or (2) download dialog.

Published: December 21, 2010; 10:00:03 PM -0500
V3.x:(not available)
V2.0: 5.0 MEDIUM
CVE-2010-4050

Opera before 10.63 allows remote attackers to cause a denial of service (memory corruption) by referencing an SVG document in an IMG element.

Published: October 21, 2010; 3:00:05 PM -0400
V3.x:(not available)
V2.0: 4.3 MEDIUM
CVE-2010-4049

Opera before 10.63 allows remote attackers to cause a denial of service (application crash) via a Flash movie with a transparent Window Mode (aka wmode) property, which is not properly handled during navigation away from the containing HTML document.

Published: October 21, 2010; 3:00:05 PM -0400
V3.x:(not available)
V2.0: 4.3 MEDIUM
CVE-2010-4048

Opera before 10.63 allows user-assisted remote web servers to cause a denial of service (application crash) by sending a redirect during the saving of a file.

Published: October 21, 2010; 3:00:05 PM -0400
V3.x:(not available)
V2.0: 4.3 MEDIUM
CVE-2010-4047

Opera before 10.63 does not properly select the security context of JavaScript code associated with an error page, which allows user-assisted remote attackers to conduct cross-site scripting (XSS) attacks via a crafted web site.

Published: October 21, 2010; 3:00:05 PM -0400
V3.x:(not available)
V2.0: 4.3 MEDIUM
CVE-2010-4046

Opera before 10.63 does not properly verify the origin of video content, which allows remote attackers to obtain sensitive information by using a video stream as HTML5 canvas content.

Published: October 21, 2010; 3:00:05 PM -0400
V3.x:(not available)
V2.0: 4.3 MEDIUM
CVE-2010-4045

Opera before 10.63 does not properly restrict web script in unspecified circumstances involving reloads and redirects, which allows remote attackers to spoof the Address Bar, conduct cross-site scripting (XSS) attacks, and possibly execute arbitrary code by leveraging the ability of a script to interact with a web page from (1) a different domain or (2) a different security context.

Published: October 21, 2010; 3:00:05 PM -0400
V3.x:(not available)
V2.0: 9.3 HIGH
CVE-2010-4044

Opera before 10.63 does not ensure that the portion of a URL shown in the Address Bar contains the beginning of the URL, which allows remote attackers to spoof URLs by changing a window's size.

Published: October 21, 2010; 3:00:05 PM -0400
V3.x:(not available)
V2.0: 4.3 MEDIUM
CVE-2010-4043

Opera before 10.63 does not prevent interpretation of a cross-origin document as a CSS stylesheet when the document lacks a CSS token sequence, which allows remote attackers to obtain sensitive information via a crafted document.

Published: October 21, 2010; 3:00:05 PM -0400
V3.x:(not available)
V2.0: 4.3 MEDIUM
CVE-2010-3021

Unspecified vulnerability in Opera before 10.61 allows remote attackers to cause a denial of service (CPU consumption and application hang) via an animated PNG image.

Published: August 16, 2010; 2:39:41 PM -0400
V3.x:(not available)
V2.0: 4.3 MEDIUM
CVE-2010-3020

The news-feed preview feature in Opera before 10.61 does not properly remove scripts, which allows remote attackers to force subscriptions to arbitrary feeds via crafted content.

Published: August 16, 2010; 2:39:41 PM -0400
V3.x:(not available)
V2.0: 5.0 MEDIUM
CVE-2010-3019

Heap-based buffer overflow in Opera before 10.61 allows remote attackers to execute arbitrary code or cause a denial of service (application crash or hang) via vectors related to HTML5 canvas painting operations that occur during the application of transformations.

Published: August 16, 2010; 2:39:40 PM -0400
V3.x:(not available)
V2.0: 9.3 HIGH
CVE-2010-2576

Opera before 10.61 does not properly suppress clicks on download dialogs that became visible after a recent tab change, which allows remote attackers to conduct clickjacking attacks, and consequently execute arbitrary code, via vectors involving (1) closing a tab or (2) hiding a tab, a related issue to CVE-2005-2407.

Published: August 16, 2010; 2:39:40 PM -0400
V3.x:(not available)
V2.0: 6.8 MEDIUM
CVE-2010-2666

Opera before 10.54 on Windows and Mac OS X does not properly enforce permission requirements for widget filesystem access and directory selection, which allows user-assisted remote attackers to create or modify arbitrary files, and consequently execute arbitrary code, via widget File I/O operations.

Published: July 08, 2010; 8:54:47 AM -0400
V3.x:(not available)
V2.0: 9.3 HIGH
CVE-2010-2665

Cross-site scripting (XSS) vulnerability in Opera before 10.54 on Windows and Mac OS X, and before 10.11 on UNIX platforms, allows remote attackers to inject arbitrary web script or HTML via a data: URI, related to incorrect detection of the "opening site."

Published: July 08, 2010; 8:54:47 AM -0400
V3.x:(not available)
V2.0: 4.3 MEDIUM